#
# spec file for package regionServiceClientConfigEC2
# this code base is under development
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           regionServiceClientConfigEC2
Version:        4.3.0
Release:        0
License:        Apache-2.0
Summary:        Configuration for region service client
URL:            https://gitlab.suse.de/public-cloud-team/region-service-client-config-ec2
Group:          Productivity/Networking/Web/Servers
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-SLES12SP5 no-ipv6.patch
Patch0:         no-ipv6.patch
Provides:       cloud-regionsrv-client-config
Provides:       regionServiceCertsEC2
Provides:       regionsrv-certs
Requires:       cloud-regionsrv-client >= 9.3.0
Requires:       python3-ec2metadata >= 1.5.0
Recommends:     cloud-regionsrv-client-plugin-ec2
Conflicts:      otherproviders(cloud-regionsrv-client-config)
Conflicts:      otherproviders(regionsrv-certs)
Provides:       regionServiceClientConfigSAPEC2
Obsoletes:      regionServiceClientConfigSAPEC2 < 2.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Configuration for the client registration in Amazon EC2 and
region server certificates

%prep
%setup -q
%if 0%{?suse_version} == 1315
%patch -P 0
rm usr/lib/regionService/certs/2406:da1c:f2a:8400:9982:83c:559d:7f56.pem
rm usr/lib/regionService/certs/2a05:d018:71c:e300:4343:658b:5466:d8c6.pem
rm usr/lib/regionService/certs/2600:1f18:4665:e200:3aa2:d7c:2176:70c3.pem
rm usr/lib/regionService/certs/2400:7fc0:8ad4:9e00:78bd:8464:c08c:f4f6.pem
rm usr/lib/regionService/certs/2600:1f13:355:4700:ee7a:f5f8:6b38:c9c.pem
rm usr/lib/regionService/certs/2406:da12:878:8b00:9ea4:1263:39d3:bda1.pem
%endif

%build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%license LICENSE
%config %{_sysconfdir}/regionserverclnt.cfg
%dir /usr/lib/regionService
%dir /usr/lib/regionService/certs
/usr/lib/regionService/certs/34.197.223.242.pem
/usr/lib/regionService/certs/52.79.82.165.pem
/usr/lib/regionService/certs/54.223.148.145.pem
/usr/lib/regionService/certs/54.245.101.47.pem
/usr/lib/regionService/certs/54.247.166.75.pem
/usr/lib/regionService/certs/54.253.118.149.pem
%if 0%{?suse_version} > 1315
/usr/lib/regionService/certs/2406:da1c:f2a:8400:9982:83c:559d:7f56.pem
/usr/lib/regionService/certs/2a05:d018:71c:e300:4343:658b:5466:d8c6.pem
/usr/lib/regionService/certs/2600:1f18:4665:e200:3aa2:d7c:2176:70c3.pem
/usr/lib/regionService/certs/2400:7fc0:8ad4:9e00:78bd:8464:c08c:f4f6.pem
/usr/lib/regionService/certs/2600:1f13:355:4700:ee7a:f5f8:6b38:c9c.pem
/usr/lib/regionService/certs/2406:da12:878:8b00:9ea4:1263:39d3:bda1.pem
%endif

%changelog
